grub2 regression, simultaneous console and video graphical glitches with new patch

Bug #1752767 reported by Nicholas Stommel on 2018-03-02
160
This bug affects 31 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Undecided
dann frazier
Artful
Undecided
dann frazier
Bionic
Undecided
dann frazier
grub2-signed (Ubuntu)
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]
The last SRU introduced a regression whereby, on EFI systems that support the graphical GRUB menu, there is a flickering affect where the menu switches between graphical and console modes while scrolling through menus.

[Test Case]
On an EFI system that supports a graphical GRUB menu, drop to the edit screen, and hold down the up/down arrow keys to cause rapid scrolling. You should not see the menu switch between graphical and console mode.

[Regression Risk]
This SRU only removes a patch added in the previous SRU.

Steve Langasek (vorlon) on 2018-03-02
Changed in grub2 (Ubuntu):
assignee: nobody → dann frazier (dannf)
tags: removed: regression-proposed regression-release
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in grub2 (Ubuntu):
status: New → Confirmed
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1752767

tags: added: iso-testing
dann frazier (dannf) wrote :

Thanks. fyi, on my system it isn't noticeable from the top level GRUB menu, however I can reliably reproduce by dropping to the "edit" screen and holding down an arrow key to scroll all the way to the bottom.

Norbert (asterix52) wrote :

> Removing the single change, the "--append" flag, in the file /etc/grub.d/00_header and regenerating > the grub.cfg file completely solves the problem.

This fixes my problems too.

dann frazier (dannf) on 2018-03-03
Changed in grub2 (Ubuntu Bionic):
status: Confirmed → Fix Committed
Changed in grub2 (Ubuntu Artful):
status: New → Confirmed
assignee: nobody → dann frazier (dannf)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 2.02-2ubuntu8

---------------
grub2 (2.02-2ubuntu8) bionic; urgency=medium

  * Drop debian/patches/mkconfig_keep_native_term_active.patch, which can
    lead to flickering between graphical and text mode when traversing the
    menu. (LP: #1752767)
  * debian/patches/yylex-explicitly_cast_fprintf_to_void.patch: Fix FTBFS
    with flex 2.6.4.

 -- dann frazier <email address hidden> Sun, 04 Mar 2018 06:11:35 -0700

Changed in grub2 (Ubuntu Bionic):
status: Fix Committed → Fix Released
dann frazier (dannf) on 2018-03-05
Changed in grub2 (Ubuntu Artful):
status: Confirmed → In Progress
Łukasz Zemczak (sil2100) wrote :

Thanks for the fix - could you get the SRU info sorted out in the description? (impact, test-case, regression potential)

dann frazier (dannf) wrote :

Now done.

description: updated
Changed in grub2-signed (Ubuntu Artful):
status: New → In Progress
Changed in grub2-signed (Ubuntu Bionic):
status: New → Fix Released
Nikola M (nikolam) wrote :

This also happens with 17.10 current release, after updating and doing update-grub and grub-install.
Here is the video to compare a bug:
https://mega.nz/#!tZdQgDoB!CdfcXtY8yGJtmRx41kNzXIq2tkZT-L5FPeec9Po_kig

Nikola M (nikolam) wrote :

And this is the video of the boot process for current, updated 17.10 after update-grub and grub-install (without selecting menus):
https://mega.nz/#!hZcVXBzS!Ad01gzDKwPGZ4-GM62w9Wbj-KIlK1E9hWfneTD1Hg6s

dann frazier (dannf) wrote :

Thanks Nikola. fyi, there is a fix for 17.10 pending in the SRU queue.

Nicholas Tobolski (mrtobo) wrote :

Is there some way I can resolve this issue without waiting for the update? I'm going on 3 days without being able to boot into my main coding OS.

Bouba (fjacquot) wrote :

@Nicholas Tobolski :

> Removing the single change, the "--append" flag, in the file /etc/grub.d/00_header and regenerating > the grub.cfg file completely solves the problem.

Arnold Tomrad (arnoldtomrad) wrote :

Big thanks to community for the solution.I had the same problem but after removing "--apend" flag, the grub menu looks good again.

Hello Nicholas, or anyone else affected,

Accepted grub2 into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub2/2.02~beta3-4ubuntu7.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in grub2 (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Changed in grub2-signed (Ubuntu Artful):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Nicholas, or anyone else affected,

Accepted grub2-signed into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub2-signed/1.85.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Curt (curtissahd) wrote :

Hi Brian,

Thanks for having a look at this. I am experiencing this issue too and have enabled -proposed as suggested. The problem still seems to exist on my Gigabyte SabrePro 15 Laptop though. Sorry if I'm not following the correct protocol for posting here. This is my first time. Cheers!

On Thu, Mar 8, 2018 at 7:17 PM, Curt <email address hidden> wrote:
> Hi Brian,
>
>
> Thanks for having a look at this. I am experiencing this issue too and have enabled -proposed as suggested. The problem still seems to exist on my Gigabyte SabrePro 15 Laptop though. Sorry if I'm not following the correct protocol for posting here. This is my first time. Cheers!

While the fix has been accepted in proposed, it is not yet published
for all architectures.
Once published, an 'apt update; apt upgrade' should install version
2.02~beta3-4ubuntu7.3 GRUB packages on your system - that is the
version with the fix.

Jan Payman Ameli (p-ameli) wrote :

I have the same problem with the latest Grub in Ubuntu 17.10. For me it helped to enable "console" mode inside /etc/default/grub as workaround. I am using an Nvidia GPU.

Bouba (fjacquot) on 2018-03-09
tags: added: verification-done-artful
Bouba (fjacquot) wrote :

grub in artful-proposed fix this issue for me. Thank you !

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 2.02~beta3-4ubuntu7.3

---------------
grub2 (2.02~beta3-4ubuntu7.3) artful; urgency=medium

  * Drop debian/patches/mkconfig_keep_native_term_active.patch, which can
    lead to flickering between graphical and text mode when traversing the
    menu. (LP: #1752767)

 -- dann frazier <email address hidden> Mon, 05 Mar 2018 01:31:55 -0700

Changed in grub2 (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2-signed - 1.85.3

---------------
grub2-signed (1.85.3) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu7.2. (LP: #1752767)

 -- dann frazier <email address hidden> Mon, 05 Mar 2018 02:23:49 -0700

Changed in grub2-signed (Ubuntu Artful):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers